Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## es.inteco.xbrl.lenlocpenloc.errors.out
Class ENLOCErrorsOutput

    java.lang.Object
      es.inteco.xbrl.lenlocpenloc.errors.out.ENLOCErrorsOutput

All Implemented Interfaces:
  java.io.Serializable

    public class ENLOCErrorsOutput

extends java.lang.Object
implements java.io.Serializable

Class ENLOCErrorsOutput. Proyecto: API XBRL-LENLOCPENLOC2010 - Grupo de utilidades y librerías en código abierto para facilitar la integración del formato XBRL en las herramientas software de gestión de terceros aislándose de la complejidad en el procesamiento del modelo de datos de las taxonomías. Ayudando de esta forma a las entidades locales en la labor de realización de informes XBRL y asegurar el éxito en el reporte de presupuestos y liquidación de presupuestos de las entidades locales en formato XBRL

Version:
  1.0, 24/06/2009
Author:
  difusioncalidad@inteco.es
See Also:
  Serialized Form

Constructor Summary
`ENLOCErrorsOutput()`

Method Summary
`void` | `addENLOCErrorOut(ENLOCErrorOut vENLOCErrorOut)`
`void` | `addENLOCErrorOut(int index, ENLOCErrorOut vENLOCErrorOut)`
`void` | `addENLOCErrorOutBefore(ENLOCErrorOut vENLOCErrorOut)`
`java.util.Enumeration<? extends ENLOCErrorOut>` | `enumerateENLOCErrorOut()` Method enumerateENLOCErrorOut.
`ENLOCErrorOut[]` | `getENLOCErrorOut()` Method getENLOCErrorOut.Returns the contents of the collection in an Array.
`ENLOCErrorOut` | `getENLOCErrorOut(int index)` Method getENLOCErrorOut.
`int` | `getENLOCErrorOutCount()` Method getENLOCErrorOutCount.
`boolean` | `isValid()` Method isValid.
`void` | `marshal(org.xml.sax.ContentHandler handler)`
`void` | `marshal(java.io.Writer out)`
`void` | `removeAllENLOCErrorOut()`
`boolean` | `removeENLOCErrorOut(ENLOCErrorOut vENLOCErrorOut)` Method removeENLOCErrorOut.
`ENLOCErrorOut` | `removeENLOCErrorOutAt(int index)` Method removeENLOCErrorOutAt.
`void` | `setENLOCErrorOut(ENLOCErrorOut[] vENLOCErrorOutArray)`
`void` | `setENLOCErrorOut(int index, ENLOCErrorOut vENLOCErrorOut)`
`static ENLOCErrorsOutput` | `unmarshal(java.io.Reader reader)` Method unmarshal.
`void` | `validate()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ENLOCErrorsOutput

    public ENLOCErrorsOutput()

Method Detail

### addENLOCErrorOut

    public void addENLOCErrorOut(ENLOCErrorOut vENLOCErrorOut)
                          throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vENLOCErrorOut` -
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### addENLOCErrorOutBefore

    public void addENLOCErrorOutBefore(ENLOCErrorOut vENLOCErrorOut)
                                throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vENLOCErrorOut` -
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### addENLOCErrorOut

    public void addENLOCErrorOut(int index,
                                 ENLOCErrorOut vENLOCErrorOut)
                          throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vENLOCErrorOut` -
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### enumerateENLOCErrorOut

    public java.util.Enumeration<? extends ENLOCErrorOut> enumerateENLOCErrorOut()

  Method enumerateENLOCErrorOut.

  Returns:
    an Enumeration over all es.inteco.xbrl.lenlocpenloc.errors.out.ENLOCErrorOut elements

### getENLOCErrorOut

    public ENLOCErrorOut getENLOCErrorOut(int index)
                                   throws java.lang.IndexOutOfBoundsException

  Method getENLOCErrorOut.

  Parameters:
    `index` -
  Returns:
    the value of the es.inteco.xbrl.lenlocpenloc.errors.out.ENLOCErrorOut at the given index
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### getENLOCErrorOut

    public ENLOCErrorOut[] getENLOCErrorOut()

  Method getENLOCErrorOut.Returns the contents of the collection in an Array.

  Note: Just in case the collection contents are changing in another thread, we pass a 0-length Array of the correct type into the API call. This way we know that the Array returned is of exactly the correct length.

  Returns:
    this collection as an Array

### getENLOCErrorOutCount

    public int getENLOCErrorOutCount()

  Method getENLOCErrorOutCount.

  Returns:
    the size of this collection

### isValid

    public boolean isValid()

  Method isValid.

  Returns:
    true if this object is valid according to the schema

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

### marshal

    public void marshal(org.xml.sax.ContentHandler handler)
                 throws java.io.IOException,
                        org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `java.io.IOException` - if an IOException occurs during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling

### removeAllENLOCErrorOut

    public void removeAllENLOCErrorOut()

### removeENLOCErrorOut

    public boolean removeENLOCErrorOut(ENLOCErrorOut vENLOCErrorOut)

  Method removeENLOCErrorOut.

  Parameters:
    `vENLOCErrorOut` -
  Returns:
    true if the object was removed from the collection.

### removeENLOCErrorOutAt

    public ENLOCErrorOut removeENLOCErrorOutAt(int index)

  Method removeENLOCErrorOutAt.

  Parameters:
    `index` -
  Returns:
    the element removed from the collection

### setENLOCErrorOut

    public void setENLOCErrorOut(int index,
                                 ENLOCErrorOut vENLOCErrorOut)
                          throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vENLOCErrorOut` -
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### setENLOCErrorOut

    public void setENLOCErrorOut(ENLOCErrorOut[] vENLOCErrorOutArray)

  Parameters:
    `vENLOCErrorOutArray` -

### unmarshal

    public static ENLOCErrorsOutput unmarshal(java.io.Reader reader)
                                       throws org.exolab.castor.xml.MarshalException,
                                              org.exolab.castor.xml.ValidationException

  Method unmarshal.

  Parameters:
    `reader` -
  Returns:
    the unmarshaled es.inteco.xbrl.lenlocpenloc.errors.out.ENLOCErrorsOutput
  Throws:
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD